// This file is "company.dart"
import 'package:example/src/entities/subscription_plan.dart';
import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:viqcore_flutter/viqcore_flutter.dart';

import 'logo.dart';

// required: associates our `company.dart` with the code generated by Freezed
part 'company.freezed.dart';
// optional: Since our Company class is serializable, we must add this line.
// But if Company was not serializable, we could skip it.
part 'company.g.dart';

@freezed
class Company with _$Company {
  const factory Company({
    required String id,
    required String name,
    required bool isActive,
    required DateTime expirationDate,
    Logo? logo,
    SubscriptionPlan? subscriptionPlan,
  }) = _Company;

  factory Company.fromJson(Map<String, Object?> json) =>
      _$CompanyFromJson(json);

  static List get fragment => [
        'id',
        'name',
        'isActive',
        'expirationDate',
        'logo'.gql(Logo.fragment),
        'subscriptionPlan'.gql(SubscriptionPlan.fragment)
      ];
}
