// This file is "logo.dart"
import 'package:freezed_annotation/freezed_annotation.dart';

// required: associates our `logo.dart` with the code generated by Freezed
part 'logo.freezed.dart';
// optional: Since our logo class is serializable, we must add this line.
// But if logo was not serializable, we could skip it.
part 'logo.g.dart';

@freezed
class Logo with _$Logo {
  const factory Logo({
    required String id,
    required String name,
    required String url,
  }) = _Logo;

  factory Logo.fromJson(Map<String, Object?> json) => _$LogoFromJson(json);

  static List<String> get fragment => [
        'id',
        'name',
        'url',
      ];
}
