// This file is "subscription_plan.dart"
import 'package:example/src/entities/enums.dart';
import 'package:freezed_annotation/freezed_annotation.dart';

// required: associates our `subscription_plan.dart` with the code generated by Freezed
part 'subscription_plan.freezed.dart';
// optional: Since our SubscriptionPlan class is serializable, we must add this line.
// But if SubscriptionPlan was not serializable, we could skip it.
part 'subscription_plan.g.dart';

@freezed
class SubscriptionPlan with _$SubscriptionPlan {
  const factory SubscriptionPlan({
    required String id,
    required String name,
    required int period,
    required PeriodType periodType,
    required double price,
    required String collectionId,
    required DateTime effectiveDate,
    DateTime? expirationDate,
    required bool isActived,
  }) = _SubscriptionPlan;

  factory SubscriptionPlan.fromJson(Map<String, Object?> json) =>
      _$SubscriptionPlanFromJson(json);

  static List get fragment => [
        'id',
        'name',
        'period',
        'periodType',
        'price',
        'collectionId',
        'effectiveDate',
        'expirationDate',
        'isActived'
      ];
}
