// This file is "user.dart"
import 'package:freezed_annotation/freezed_annotation.dart';
import 'package:viqcore_flutter/viqcore_flutter.dart';

// required: associates our `user.dart` with the code generated by Freezed
part 'user.freezed.dart';
// optional: Since our user class is serializable, we must add this line.
// But if user was not serializable, we could skip it.
part 'user.g.dart';

@freezed
class User with _$User implements Identity {
  const factory User({
    required String id,
    required String username,
    required String name,
    String? email,
    String? phone,
  }) = _User;

  factory User.fromJson(Map<String, Object?> json) => _$UserFromJson(json);

  static List<String> get fragment =>
      ['id', 'username', 'name', 'email', 'phone'];
}
