import 'package:viqcore_flutter/viqcore_flutter.dart';

import '../entities/user.dart';

extension PassportHelper on Passport {
  Future<ApiResponse<User>> signInAdmin(
      {required String username,
      required String password,
      required String code}) async {
    var response = await 'signInStaff'.gql(
      User.fragment,
      params: {
        'username': username,
        'password': password,
        'code': code,
        'admin': true
      },
    ).mutation(
      transformer: (data) => User.fromJson(data),
    );
    if (response.value != null) {
      App.passport.signedIn(response.value!);
    }
    return response;
  }
}
