import 'package:example/src/security/passport.dart';
import 'package:example/src/services/change_suscription_plan.dart';
import 'package:flutter/material.dart';
import 'package:viqcore_flutter/viqcore_flutter.dart';

import 'services/register_company.dart';

class TestScreen extends StatelessWidget {
  const TestScreen({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: AppBar(
        title: const Text('Test Screen'),
      ),
      body: ListView(
        children: [
          MethodButton(
            name: 'Register Company',
            onPressed: () async {
              var response = await registerCompany(
                  username: 'jasonlaw',
                  password: '12345',
                  phone: '+60103926683',
                  code: 'viqcore');
              print(response.value?.toJson() ?? response.error);
            },
          ),
          MethodButton(
            name: 'Signin Admin',
            onPressed: () async {
              var response = await App.passport.signInAdmin(
                  username: 'jasonlaw', password: '12345', code: 'viqcore');
              print(response.value?.toJson() ?? response.error);
              print('User is authenticated: ${App.passport.isAuthenticated}');
            },
          ),
          MethodButton(
            name: 'Change Subscription Plan',
            onPressed: () async {
              var response = await changeSubscriptionPlan(
                  planId: '01GYYZJWHM34JY20DD79QWQFA1');
              print(response.value?.toJson() ?? response.error);
            },
          ),
          // Add more buttons as needed
        ],
      ),
    );
  }
}

class MethodButton extends StatelessWidget {
  final String name;
  final VoidCallback onPressed;

  const MethodButton({
    required this.name,
    required this.onPressed,
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.symmetric(vertical: 8, horizontal: 16),
      child: ElevatedButton(
        onPressed: onPressed,
        child: Text(name),
      ),
    );
  }
}
