import 'dart:async';

import 'package:flutter/foundation.dart';

import '../app.dart';
import 'adapters/http_adapter.dart';
import 'api_service.dart';
import 'interceptors.dart';
import 'utils/dio_helper.dart';
import 'utils/nullable_string_helper.dart';
import 'utils/words.dart';

export 'package:cross_file/cross_file.dart';
export 'package:dio/dio.dart';

export 'utils/dio_exception_helper.dart';

part 'api_response.dart';
part 'optional.dart';
part 'query_gql.dart';
part 'query_rest.dart';
part 'quick_api.dart';

//const userAgentHeader = "user-agent";

class API extends ApiService {
  API(
      {this.apiKey,
      this.noCookie = true,
      String baseUrl = '',
      Duration timeout = const Duration(seconds: 30)})
      : super(
            dio: Dio(BaseOptions(
          baseUrl: baseUrl,
          connectTimeout: timeout,
          sendTimeout: timeout,
          contentType: Headers.jsonContentType,
          // headers: {userAgentHeader: 'VIQCoreFlutter'},
        ))) {
    dio
      ..allowSelfSignedCert()
      ..allowWithCredential()
      ..enableCookieManager()
      ..interceptors.add(ApiInterceptor());

    if (kDebugMode) {
      dio.interceptors.add(LogInterceptor(
          requestHeader: true,
          responseHeader: true,
          requestBody: true,
          responseBody: true));
    }
  }

  final String? apiKey;
  final bool noCookie;

  Interceptors get interceptors => dio.interceptors;
}
