import 'package:flutter_test/flutter_test.dart';
import 'package:viqcore_flutter/viqcore_flutter.dart';

const companyData = {
  'name': 'Company1',
  'machines': machinesData,
};

const machinesData = [
  {'name': 'Machine A', 'capacity': 2},
  {'name': 'Machine B', 'capacity': 3},
  {'name': 'Machine C', 'capacity': 5}
];

void main() {
  group('Entity Test =>', () {
    test('utils', () {
      const data = 'JasonLawLoveProgramming';
      const key = 'dmlxY29yZTp2MXFjMHJlUEAkJA==';
      final checksum = Crypto.checkSum(data, signingKey: key);
      expect('795db58f30f70cc35506cf76b74ed20d52127974fdc2dc94c8fd4eba534f340b',
          checksum);
    });

    test('billplz signature', () {
      const data =
          'amount200|callback_urlhttps://example.com/webhook|collection_idinbmmepb|descriptiontesting|emailapi@billplz.com|nameMichael';
      const key = 'abc123cde456';
      final checksum = Crypto.checkSum(data, signingKey: key);
      expect('ef5e54a22af0925cba88fab467119742e90262e3646eea1dee3949938daf3a38',
          checksum);
    });
  });
}
